Subject: keras is broken –> package bazel?

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 06 Jan 2023 22:16:56 +0100

We have an old version of keras.  This is now broken.  It is not
compatible with python-h5py > 2.10.  Our version of Tensorflow also
won’t work with h5py 3.

We can’t upgrade keras to anything above 2.2.5 because any later version
is built with Bazel.  We cannot build Bazel, because it needs a big pile
of jars that we haven’t packaged yet.

Tensorflow > 1.9 also requires Bazel.

We should work towards packaging Bazel.  Debian has a Bazel bootstrap
package, so I’m hopeful that it’s possible to package with some effort.

-- 
Ricardo